# Route

Minimal PHP Router

# Installation

## Composer

Composer needs to know where to locate the package. Let's add the repository to your project by declaring it in the `composer.json` file.
```JSON
{
    "repositories": [
        {
            "type": "vcs",
            "url": "https://git.willy.club/WillySoft/Route"
        }
    ],
    "require": {
        "willysoft/route": "dev-master"
    }
}
```
Fetch the package by running

    composer install

# Usage

When using a production web server such as Nginx you will have to tell it to rewrite requests that don't point to a local file, such as they can be forwarded to your front controller which in this case is `public/index.php`.

With PHP already configured, add this to the server block of your configuration to make requests that don't match a file on your server to be sent to your front controller and begin routing.

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

See `example.php` and add it to your `public/index.php` file. It will act as the front controller.